#ifndef XGFXPIXELSHADERLOADDEF_H
#define XGFXPIXELSHADERLOADDEF_H

#include "xasset.h"

#include <QVector>

class XGfxPixelShaderLoadDef : public XAsset
{
public:
    explicit XGfxPixelShaderLoadDef();
    ~XGfxPixelShaderLoadDef();

    quint16 GetPhysicalPartSize() const;
    quint16 GetCachedPartSize() const;

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

private:
    QByteArray mCachedPart;
    QByteArray mPhysicalPart;
    quint16 mCachedPartSize;
    quint16 mPhysicalPartSize;
};

#endif // XGFXPIXELSHADERLOADDEF_H








